com.tibbo.aggregate.common.device

## Class DeviceEntityDescriptorList

- java.lang.Object
- - com.tibbo.aggregate.common.device.DeviceEntityDescriptorList

- All Implemented Interfaces:
    DeviceEntities

      public class DeviceEntityDescriptorList
      extends java.lang.Object
      implements DeviceEntities

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DeviceEntityDescriptorList` | `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceEntityDescriptorList()`
    `DeviceEntityDescriptorList(java.util.List<DeviceEntityDescriptor> entities)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeviceEntityDescriptorList` | `difference(DeviceEntityDescriptorList left, DeviceEntityDescriptorList right)`
    `java.util.Map<java.lang.String,DeviceEntityDescriptor>` | `getDescriptors()`
    `boolean` | `hasSpecificEntities()`
    `boolean` | `isActive(java.lang.String entity)`
    `void` | `merge(DeviceEntityDescriptorList other, java.util.Set<java.lang.String> defaultActiveEntities)`
    `DataTable` | `toDataTable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final DeviceEntityDescriptorList EMPTY

  - ### Constructor Detail

    - #### DeviceEntityDescriptorList

          public DeviceEntityDescriptorList(java.util.List<DeviceEntityDescriptor> entities)

    - #### DeviceEntityDescriptorList

          public DeviceEntityDescriptorList()

  - ### Method Detail

    - #### difference

          public static DeviceEntityDescriptorList difference(DeviceEntityDescriptorList left,
                                                              DeviceEntityDescriptorList right)

    - #### toDataTable

          public DataTable toDataTable()

    - #### isActive

          public boolean isActive(java.lang.String entity)

      Specified by:
        `isActive` in interface `DeviceEntities`

    - #### merge

          public void merge(DeviceEntityDescriptorList other,
                            java.util.Set<java.lang.String> defaultActiveEntities)

    - #### getDescriptors

          public java.util.Map<java.lang.String,DeviceEntityDescriptor> getDescriptors()

      Specified by:
        `getDescriptors` in interface `DeviceEntities`

    - #### hasSpecificEntities

          public boolean hasSpecificEntities()

      Specified by:
        `hasSpecificEntities` in interface `DeviceEntities`